package cn.com.ctop.kuaishou.modules.report.mapper;

import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaiShouGroupDailyReport;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手组日报数据清洗
 *
 * @author: jeecg-boot
 * @date: 2021-03-09
 * @cersion: V1.0
 */
public interface EtlKuaiShouGroupDailyReportMapper extends BaseMapper<EtlKuaiShouGroupDailyReport> {

    void replaceBatch(@Param("addList") List<EtlKuaiShouGroupDailyReport> addList);

    Long getTotal(Long accountId);

    List<JSONObject> queryPageList(@Param("accountId") Long accountId, @Param("sortCode") String sortCode, @Param("sortType") String sortType);

    void updateStatus(@Param("accountId")  Long accountId,@Param("unitId")  Long unitId, @Param("putStatus") Integer putStatus);
}
