package cn.com.ctop.kuaishou.modules.report.service;

import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaiShouGroupDailyReport;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

/**
 * @Description: 快手组日报数据清洗
 * @Author: jeecg-boot
 * @Date: 2021-03-09
 * @Version: V1.0
 */
public interface IEtlKuaiShouGroupDailyReportService extends IService<EtlKuaiShouGroupDailyReport> {

    void cleanGroupData(Long accountId, JSONArray details);

    void getGroupReport(Long accountId, String accessToken, String startDate, String endDate, Integer page);

    Result<Object> queryPageList(JSONObject request);

    void updateStatus(Long accountId, Long unitId, Integer putStatus);
}
