package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 快手账户加速探索触发记录信息
 * @author jeecg-boot
 * @date   2021-03-08
 * @version V1.0
 */
@Data
@TableName("ctop_kuaishou_account_speed_explore_log")
@EqualsAndHashCode(callSuper = false)
public class KuaishouAccountSpeedExploreLog {

	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**accountId*/
	private Long accountId;
	/**groupAccount*/
	private BigDecimal groupAccount;
	/**groupCount*/
	private Integer groupCount;
	private Integer convertType;
	/**convertCount*/
	private Integer convertCount;
	/**userId*/
	private String userId;
	/**
	 * status
	 * 0:默认
	 * 1:探索中
	 * 2:探索完成
	 * */
	private Integer status;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
}
