package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 快手组级别加速探索执行记录
 * @author jeecg-boot
 * @date   2021-03-10
 * @version V1.0
 */
@Data
@TableName("ctop_kuaishou_group_speed_explore_log")
public class KuaishouGroupSpeedExploreLog {

	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**accountId*/
	private Long accountId;
	/**accountExploreId*/
	private Long accountExploreId;
	/**unitId*/
	private Long unitId;
	/**status*/
	private Integer status;
	/**message*/
	private String message;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
}
