package cn.com.ctop.kuaishou.modules.ai.mapper;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouAccountSpeedExploreLog;
import cn.com.ctop.kuaishou.modules.ai.vo.SpeedExploreGroupVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手账户加速探索触发记录信息
 * @author: jeecg-boot
 * @date:   2021-03-08
 * @cersion: V1.0
 */
public interface KuaishouAccountSpeedExploreLogMapper extends BaseMapper<KuaishouAccountSpeedExploreLog> {

    List<SpeedExploreGroupVO> getSpeedExploreGroupVosByParams(@Param(value = "date") String date,
                                                              @Param(value = "accountId")Long accountId,
                                                              @Param(value = "convertType")Integer convertType,
                                                              @Param(value = "convertCount")Integer convertCount,
                                                              @Param(value = "groupCount")Integer groupCount);
}
