package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouAccountSpeedExploreLog;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * @Description: 快手账户加速探索触发记录信息
 * @Author: jeecg-boot
 * @Date:   2021-03-08
 * @Version: V1.0
 */
public interface IKuaishouAccountSpeedExploreLogService extends IService<KuaishouAccountSpeedExploreLog> {

    Map<String, Object> openSpeedExplore(KuaishouAccountSpeedExploreLog kuaishouAccountSpeedExploreLog)throws Exception;

    KuaishouAccountSpeedExploreLog getByParams(Long accountId, Integer status);
}
