package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouGroupTemplate;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 创建组模板
 *
 * @author: jeecg-boot
 * @date: 2020-12-15
 * @cersion: V1.0
 */
public interface KuaiShouGroupTemplateMapper extends BaseMapper<KuaiShouGroupTemplate> {

    JSONObject getMd5ByPhotoId(@Param("photoId") Long photoId);

    List<JSONObject> getImageListByMd5(@Param("md5") String md5);

    Integer getApiCreateCount(@Param("accountId") Long accountId, @Param("date") String date);

    JSONObject getUrlByPhotoId(@Param("photoId") String photoId);

    JSONObject getImageJsonByMd5(String md5);

    List<Long> getIdList();
}
